package com.ss.android.ugc.aweme.im.sdk.chat.feature.like.ui;

import X.0Bt;
import X.1Bn;
import X.7he;
import X.C1988Iqx;
import X.C1997Ir6;
import X.C1998Ir7;
import X.C1999Ir8;
import X.C2001IrA;
import X.Crj;
import com.bytedance.covode.number.Covode;

public final class DmViewModel extends 0Bt {
    public static final C2001IrA LIZJ = new C2001IrA((byte) 0);
    public final Crj LIZ = 7he.LIZ(C1998Ir7.LIZ);
    public final Crj LIZIZ = 7he.LIZ(C1988Iqx.LIZ);
    public final Crj LIZLLL = 7he.LIZ(C1999Ir8.LIZ);
    public final Crj LJ = 7he.LIZ(C1997Ir6.LIZ);

    static {
        Covode.recordClassIndex(84602);
    }

    public final 1Bn<String> LIZ() {
        return (1Bn) this.LIZLLL.getValue();
    }

    public final 1Bn<Boolean> LIZIZ() {
        return (1Bn) this.LJ.getValue();
    }
}
